<?php
/**
 * Utilisations de pipelines par actiZe Base
 *
 * @plugin     actiZe Base
 * @copyright  2016
 * @author     Stéphane G.
 * @licence    GNU/GPL
 * @package    SPIP\Actize\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) return;


/*
 * Un fichier de pipelines permet de regrouper
 * les fonctions de branchement de votre plugin
 * sur des pipelines existants.
 */
 
 
$GLOBALS['spip_pipeline']['propres_creer_chaine_url'] .= "|actize_propres_creer_chaine_url";

function objets_abreges_urls_dist() {
	$lasTab = array(
		'article' => 'art',
		'rubrique' => 'rub',
		'auteur' => 'aut',
		'mot' => 'mot',
		'site' => 'sit',
		'groupe_mot' => 'grp',
		'contact' => 'cnt',
		'organisation' => 'org',
		'newsletter' => 'nlt',
	);

	return $lasTab;
}

function actize_propres_creer_chaine_url( $x) {
	$objet = $x['objet'];

	$lasAbreges = objets_abreges_urls_dist();
	if (isset( $lasAbreges[ $objet['type']])) {
	  $lsSuffixe = $lasAbreges[ $objet['type']];
	  }
	else {
		$lsSuffixe = $objet['type'];
		}

	$x['data'] .= '-'. $lsSuffixe. str_pad($objet['id_objet'], 3, "0", STR_PAD_LEFT);
	$x['data'] = strtolower( $x['data']);

	return $x;
}


