<?php
/**
 * Utilisations de pipelines par actiZe Noisettes
 *
 * @plugin     actiZe Noisettes
 * @copyright  2016
 * @author     Stéphane G.
 * @licence    GNU/GPL
 * @package    SPIP\actizeNuts\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) return;


/*
 * Un fichier de pipelines permet de regrouper
 * les fonctions de branchement de votre plugin
 * sur des pipelines existants.
 */
 
function actizeNuts_insert_head_css( $flux) {
	if ($css = find_in_path('css/actizeNuts.css'))
		$flux .= "<link rel='stylesheet' type='text/css' media='all' href='$css' />\n";
	if ($css = find_in_path('css/actizeDeco.css.html'))
		$flux .= "<link rel='stylesheet' type='text/css' media='all' href='?page=css/actizeDeco.css' />\n";

	return $flux;
}

function actizeNuts_insert_head( $flux) {

	return $flux;
}

function actizeNuts_post_typo( $texte) {
	$texte = preg_replace( '!§<--->!sU', "<hr class='clearBothHidden' />", $texte);
	$texte = preg_replace( '!§<---x!sU', "<hr class='clearLeft' />", $texte);
	$texte = preg_replace( '!§<---!sU', "<hr class='clearLeftHidden' />", $texte);
	$texte = preg_replace( '!§x--->!sU', "<hr class='clearRight' />", $texte);
	$texte = preg_replace( '!§--->!sU', "<hr class='clearRightHidden' />", $texte);

	return $texte;
}


function initiales($words) {
   $words = trim($words); // On enlève les espaces avant et après superflus
   $words = preg_split("/[\s,_-]+/", $words); // On transforme les mots en tableau
   $words = array_filter($words); // On supprime les tableaux "vides", c'est juste une sécurité
   $acronym = '';

   foreach ($words as $w) {
       $acronym .= $w[0]; // On prend le premier caractère du mot
   }
   return $acronym;
}

function initiales_public( $asChaine) {
    if ( (!isset( $GLOBALS['auteur_session']['statut'])) ||
         ($GLOBALS['auteur_session']['statut']!= '0minirezo') )
        $asChaine = initiales( $asChaine).'.';

    return $asChaine;
}

function actizeNuts_declarer_tables_interfaces($interface){

    $interface['table_des_traitements']['NOM']['contacts']= "initiales_public("._TRAITEMENT_TYPO.")";
    return $interface;
}